using System;
using System.Collections.Generic;

namespace com.workman.cm3d2.task
{
	public class SyncTask : Task
	{
		public SyncTask()
		{
		}

		public SyncTask(List<Task> listSyncTask)
		{
			this.listSyncTask = listSyncTask;
		}

		public override void Execute()
		{
			foreach (Task task in this.listSyncTask)
			{
				if (task.action != null)
				{
					task.action();
				}
			}
		}

		public List<Task> listSyncTask;
	}
}
